%define	upstream_name	 Module-Starter
%define upstream_version 1.71

%{?perl_default_filter}
# Filter in-lined Perl code from lib/Module/Starter/Simple.pm
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((ExtUtils::MakeMaker|inc::Module::Install|Module::Build|Test::More)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A simple starter kit for any module 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Command)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Install::AuthorTests)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Usage) >= 1.210.0
BuildRequires: perl(Test::Harness) >= 0.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is the core module for Module::Starter. If you're not looking to extend or
alter the behavior of this module, you probably want to look at module-starter
instead.

Module::Starter is used to create a skeletal CPAN distribution, including basic
builder scripts, tests, documentation, and module code. This is done through
just one method, create_distro.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.710.0-4pclos2017
- rebuild against updates

